# eth\_getUncleByBlockNumberAndIndex

Returns information about a uncle of a block by number and uncle index position.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getunclebyblocknumberandindex)

## **Parameters**

1. `QUANTITY|TAG` - a block number, or the string `"earliest"`, `"latest"` or `"pending"`, as in the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block-parameter).
2. `QUANTITY` - the uncle's index position.

```json
params: [
  "0x29c", // 668
  "0x0", // 0
]
```

## Returns

See [eth\_getBlockByHash](https://app.gitbook.com/o/cJtxpQ7oeewtoIgMb5kv/s/F3uvE671dWWOTAu9svnI/~/changes/120/bsc/execution-api/eth_getblockbyhash)

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getUncleByBlockNumberAndIndex","params":["0x29c", "0x0"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getUncleByBlockNumberAndIndex","params":["0x29c", "0x0"],"id":1}'
```

{% endtab %}
{% endtabs %}
